body {
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

main {
    flex: 1;
}

.footer-columns {
    display: flex;
    flex-direction: column;
    padding-bottom: 40px;
}

.col-left {
    flex: 1;
    text-align: left;
    color: black;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.mailto { text-decoration: none; color: black; }
.legals { text-wrap-mode: nowrap; justify-self: center; }
.anticipo-logo { display: inline-grid; margin-bottom: 20px; }
.socialmedia-logo {  padding: 10px 0; }
.socialmedia-logo a, .legals a {  color: transparent; }

.logo-facebook, .logo-instagram, .end-links, .mailto {
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
    cursor: pointer;
}

.logo-facebook:hover, .logo-instagram:hover, .end-links:hover, .mailto:hover {
    opacity: 0.5;
    transform: scale(1.1);
}

.col-right {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.inner-cols {
    display: flex;
    flex-direction: column;
    text-align: left;
    text-wrap-mode: nowrap;
}

.inner-col {
    flex: 1;
}

.inner-col h4 {
    margin-top: 0;
    margin-bottom: -10px;
    color: black;
    font-size: 16px;
    text-decoration: underline;
    font-weight: 700;
    inline-size: max-content;
}

.inner-col ul {
    list-style: none;
    padding: 0;
    justify-items: left;
    margin-top: 10px;
}

.inner-col a {
    text-decoration: none;
    line-height: 2.5;
    color: black;
    font-size: 14px;
    font-weight: 400;
    display: inline-block;
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

.inner-col a:hover {
    opacity: 0.5;
    transform: scale(1.1);
}

.site-footer {
    background-color: #1AC677;
    border-radius: 40px 40px 0 0;
    color: black;
    font-family: "Open Sans", sans-serif;
}

.footer-container {
    max-width: 1500px;
    margin: 0 auto;
    text-align: center;
    padding: 80px 200px 10px 200px;
}

.legal-logo {
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
    cursor: pointer;
    padding: 10px;
}
.legal-logo:hover {
    transform: scale(1.1);
}

.site-footer-end {
    background-color: white;
    color: black;
    align-content: center;
    height: 44px;
    font-family: "Open Sans", sans-serif;
}

.end-links {
    text-decoration: underline;
    cursor: pointer;
    color: #433f3e;
}

.footer-container-end {
    color: #433f3e;
    font-size: 12px;
    font-weight: 400;
    line-height: normal;

    max-width: 1200px;
    margin: 0 auto;
    text-align: center;
}

.legal-text {
    color: black;
    font-size: 12px;
    padding: 12px;
    background-color: white;
    border-radius: 8px;
    background: #FFF;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.25);
    text-align: left;
    margin-top: 2%;
    margin-bottom: 2%;
}

.CFT-info {
    color: var(--neutrals-800, var(--Color-Neutrals-Neutrals800, #433F3E));
    font-size: 18px;
    font-weight: 700;
    margin: 0;
}

.CFT {
    justify-self: center;
    font-size: 12px;
    width: 50%;
    font-weight: 700;
    color: var(--neutrals-800, var(--Color-Neutrals-Neutrals800, #433F3E));
    display: -webkit-inline-box;
}

@media (min-width: 768px) {
    .footer-columns {
        flex-direction: row;
        max-width: 1200px;
        margin: 0 auto;
    }

    .inner-cols {
        flex-direction: row;
        gap: 30px;
    }
}

@media (max-width: 767px) {
    .site-footer { padding: 30px 30px 5px 30px; }
    .footer-container { padding: 0px; }
    .CFT { width: 100%; }
    .legal-text {
        margin-top: 3%;
        margin-bottom: 3%;
    }
    .footer-columns { padding-bottom: 0px; }
    .footer-container-end { padding: 0 12px; }
}